# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=libxcrypt
pkgver=4.4.28
pkgrel=1
pkgdesc="Modern library for one-way hashing of passwords"
arch=('x86_64')
url="https://github.com/besser82/libxcrypt/"
license=('GPL')
depends=('glibc')
source=(https://github.com/besser82/libxcrypt/releases/download/v${pkgver}/${pkgname}-${pkgver}.tar.xz)
sha256sums=(9e936811f9fad11dbca33ca19bd97c55c52eb3ca15901f27ade046cc79e69e87)

build() {
    cd ${pkgname}-${pkgver}

    unset {C,CPP,CXX,LD}FLAGS
    
    ${configure}                      \
        --disable-static              \
        --enable-hashes=strong,glibc  \
        --enable-obsolete-api         \
        --disable-failure-tokens

    make
}

package() {
    cd ${pkgname}-${pkgver}

    make DESTDIR=${pkgdir} install
}
